org.apache.commons.math.stat.descriptive

## Interface UnivariateStatistic

- All Known Subinterfaces:
    StorelessUnivariateStatistic
  All Known Implementing Classes:
    AbstractStorelessUnivariateStatistic, AbstractUnivariateStatistic, FirstMoment, FourthMoment, GeometricMean, Kurtosis, Max, Mean, Median, Min, Percentile, Product, SecondMoment, SemiVariance, Skewness, StandardDeviation, Sum, SumOfLogs, SumOfSquares, ThirdMoment, Variance

      public interface UnivariateStatistic

  Base interface implemented by all statistics.
  Version:
    $Revision: 811685 $ $Date: 2009-09-05 19:36:48 +0200 (sam. 05 sept. 2009) $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `UnivariateStatistic` | `copy()` Returns a copy of the statistic with the same internal state.
    `double` | `evaluate(double[] values)` Returns the result of evaluating the statistic over the input array.
    `double` | `evaluate(double[] values, int begin, int length)` Returns the result of evaluating the statistic over the specified entries in the input array.

- - ### Method Detail

    - #### evaluate

          double evaluate(double[] values)

      Returns the result of evaluating the statistic over the input array.
      Parameters:
        `values` - input array
      Returns:
        the value of the statistic applied to the input array

    - #### evaluate

          double evaluate(double[] values,
                        int begin,
                        int length)

      Returns the result of evaluating the statistic over the specified entries in the input array.
      Parameters:
        `values` - the input array
        `begin` - the index of the first element to include
        `length` - the number of elements to include
      Returns:
        the value of the statistic applied to the included array entries

    - #### copy

          UnivariateStatistic copy()

      Returns a copy of the statistic with the same internal state.
      Returns:
        a copy of the statistic

Copyright (c) 2003-2013 Apache Software Foundation